function fxDTSBrick::becomeACake(%brick, %cl) //special event i used for my birthday server
{
   if (!isObject(%pl = %cl.player) || %brick.getGroup().bl_id != 4928)
   {
      return;
   }

   //transformation!
   %pl.setDatablock(ConanCakePlayer);
   // %pl.setScale("1.5 1.5 1.5");
   %pl.playthread(0, cake);
   %cl.setControlObject(%cl.camera);
   %cl.camera.setMode("Corpse", %pl);
   %pl.setWhiteout(1);
   %pl.setDamageFlash(1);
   %pl.spawnExplosion("spawnProjectile", 3);
   %cl.noClick = 1;

   %cl.makeCakeSched = schedule(8000, %pl, exitOven, %pl, %cl);
}

function exitOven(%pl, %cl) 
{
   cancel(%cl.makeCakeSched);
   if (%pl.isDisabled()) 
   {
      return;
   }
   %pl.setTransform("_exit".getTransform());
   %cl.setControlObject(%pl);
   %cl.noClick = 0;
   %pl.spawnExplosion("spawnProjectile", 1);
   %pl.playThread(0, root);
}

registerOutputEvent("fxDTSBrick", "becomeACake", "", 1);

package noClick 
{
   function Observer::onTrigger(%this, %obj, %trig, %val) 
   {
      if (%obj.getControllingClient().noClick)
      {
         return;
      }
      return parent::onTrigger(%this, %obj, %trig, %val);
   }

   function minigameCanDamage(%obj1, %obj2)
   {
      %pl = %obj1.getClassName() $= "Player" ? %obj1 : %obj1.sourceObject;
      if (isObject(%pl) && %pl.getDatablock().getName() $= "ConanCakePlayer") 
      {
         return 1;
      }
      return parent::minigameCanDamage(%obj1, %obj2);
   }
};
activatePackage(noClick);

function serverCmdGlobalSpawn(%cl) 
{
   if (isObject(%pl = %cl.player)) 
   {
      PlayerDropPoints.getObject(0).setTransform(%pl.getTransform());
      PlayerDropPoints.getObject(0).radius = 2;
      PlayerDropPoints.getObject(0).directional = 1;
   }
}